Bug 1475893 - DR (site to site) - Add the ability to support force remove of last master storage domain from data center
DR (site to site) - Add the ability to support force remove of last master st...
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Maor
Elad
: Improvement, SubTask
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 10:43 EDT by Maor
Modified: 2017-11-27 07:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Engine supports the functionality of force remove storage domain, but there is a validation which blocks the remove of the last master storage domain. The last master storage domain can only be removed by force removing the Data Center. Consequence: To support DR site to site with fail back, the engine should have the ability to destroy the last storage domain without removing the Data Center and that way keep the permissions and other properties of the data center unattached. Fix: Remove the validation and add the ability to force remove the last master storage domain Result: Master storage domain can be forced remove from a Data Center. Once it is removed the Data Center should change its status to 'uninitialized'
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
gklein: testing_plan_complete-


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 80754 master POST core: Add the ability to force remove master storage domain. 2017-08-30 14:31 EDT
oVirt gerrit 81366 master POST restapi: vds id is not mandatory for force remove 2017-09-02 20:38 EDT
oVirt gerrit 81396 master POST Change documentation for destroy storage domain 2017-09-04 06:45 EDT
oVirt gerrit 81708 model_4.1 POST Change documentation for destroy storage domain 2017-09-13 11:15 EDT

  None (edit)
Description Maor 2017-07-27 10:43:11 EDT
Description of problem:

Engine supports the functionality of force remove storage domains, but there is a validation which blocks the remove of the last master storage domain.
The last master storage domain can only be removed by force removing the Data Center.

To support DR site to site with fail back, the engine should have the ability to destroy the last storage domain without removing the Data Center and that way keep the permissions and other properties of the data center unattached.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2017-07-27 10:44:48 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 2 Elad 2017-09-06 07:02:30 EDT
Last storage domain destroy is now possible without data center removal.

Used:
ovirt-engine-4.2.0-0.0.master.20170904111624.git842d79b.el7.centos.noarch
Comment 3 Red Hat Bugzilla Rules Engine 2017-11-21 04:13:12 EST
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Note You need to log in before you can comment on or make changes to this bug.